You are not logged in.

#1 2012-06-29 08:05:48

LuX
Member
From: France
Registered: 2010-06-14
Posts: 49

[GOT AROUND] No more volume control in lxpanel

Hello

I'm using Arch Linux with lxde and openbox, installed on USB pen (it's a persistent install, not a live one). My filesystem is ext4.
Since last filesystem update (following the home page of the wiki) the 'Volume Control' button of lxpanel is disabled, although the sound still works as it always did. If I right-click on it, in order to parametrize it, I get this message:

Error, you need to install an application to configure the sound (pavucontol, alsamixer ...)

The point is that alsamixer IS installed, and I can use it to increase/decrease the volume.

I tried to remove/re-install alsamixer: no change. I also killed lxpanel and restarted it from the command line, in order to check if I received some more enlightening error message: I got nothing.

Any hint?

LuX

Last edited by LuX (2012-06-29 21:55:25)

Offline

#2 2012-06-29 11:54:19

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,135

Re: [GOT AROUND] No more volume control in lxpanel

sounds like lxpanel has  a bug, you can try a submitting bug in the archlinux bugtracker.

An alternative would be to switch to this lxpanelx-svn aur package .

It has a lot of improvements over lxpanel .


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2012-06-29 20:42:08

LuX
Member
From: France
Registered: 2010-06-14
Posts: 49

Re: [GOT AROUND] No more volume control in lxpanel

Hello Lone_Wolf

Thank you for your reply. I removed lxpanel and installed fbpanel instead. Bad luck! The volume control of fbpanel doesn't work either, and moreover it prevents fbpanel from starting.

$ fbpanel &
(fbpanel:1312): Gtk-WARNING **: Theme directory  of theme Azenis Icons has no size field

volume: can't open /dev/mixer
fbpanel: can't start plugin volume

[1]+  Termine 1               fbpanel

The point is that /dev/mixer doesn't exists. I have seen a bug report on this problem, which is open since... 2010-11-28! Well, I suppose that reporting a bug on lxpanel and being patient is probably the only thing to do. I'm going to close the subject.

Nevertheless it is strange that it occured to me with lxpanel only recently. Strange also that I'm the only Arch user experienceing this problem. Would it be possible that other users don't experience it because for some reason they do have /dev/mixer file? May I solve it by creating a link /dev/mixer pointing to some other sound related device? Advices welcome...

Regards,
LuX

Last edited by LuX (2012-06-29 21:55:58)

Offline

#4 2012-06-29 21:18:30

progandy
Member
Registered: 2012-05-17
Posts: 3,456

Re: [GOT AROUND] No more volume control in lxpanel

fbpanel includes only support for OSS. If you use ALSA or pulse, try volumeicon.


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#5 2012-06-29 21:35:22

LuX
Member
From: France
Registered: 2010-06-14
Posts: 49

Re: [GOT AROUND] No more volume control in lxpanel

Hello

I have found a workaround for fbpanel. According to this post it suffices to load the module 'snd-mixer-oss'. Indeed, after I ran the command 'modprobe snd-mixer-oss' a /dev/mixer file was created and fbpanel started to work perfectly. lol

I have then re-installed lxpanel but contrary to fbpanel its volume control plugin still doesn' work after this modprobe command.  sad

@propagandy: You're right, volumeicon works for me inside lxpanel. Thank you very much for this solution. Would you know by chance why the volume control of lxpanel suddenly stopped to work for me after recent update?

Regards,
LuX

Last edited by LuX (2012-06-29 22:53:11)

Offline

#6 2013-09-08 13:34:30

MlxZlas
Member
Registered: 2013-09-08
Posts: 1

Re: [GOT AROUND] No more volume control in lxpanel

you need "alsamixer" and "xterm" to to configure it.

Offline

Board footer

Powered by FluxBB